From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libmicrohttpd/
Date: Tue, 21 Dec 2021 01:56:14 +0000 (UTC) [thread overview]
Message-ID: <1640050776.155c4d7720416a21ff0c67a2013f4ee4907c40ab.sam@gentoo> (raw)
commit: 155c4d7720416a21ff0c67a2013f4ee4907c40ab
Author: Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Mon Dec 20 13:41:40 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 21 01:39:36 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=155c4d77
net-libs/libmicrohttpd: updated to v0.9.74
Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Closes: https://github.com/gentoo/gentoo/pull/23432
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-libs/libmicrohttpd/Manifest | 1 +
net-libs/libmicrohttpd/libmicrohttpd-0.9.74.ebuild | 56 ++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/net-libs/libmicrohttpd/Manifest b/net-libs/libmicrohttpd/Manifest
index 5fdb923bbc79..86e8f26e846f 100644
--- a/net-libs/libmicrohttpd/Manifest
+++ b/net-libs/libmicrohttpd/Manifest
@@ -1,3 +1,4 @@
DIST libmicrohttpd-0.9.68.tar.gz 1884342 BLAKE2B 3f74c48917fa19753a617242fa07b99a69510a14a802609d038964d927516f8f52b4330d0eee2c7b98096b2d840158e4945310edef290224ea256d9616fb4d94 SHA512 9daaab5fb35fef6f2a19b7e08eeb8473aeb0a67631808a8d7a7f78a09cb621ca5d32dbbbca616865a40afb92f8c6495f9e2ba1674880af8011a2bc798c070a13
DIST libmicrohttpd-0.9.72.tar.gz 1693553 BLAKE2B 24d9284d8cab65d4a5b6b7f3a5b860dfd8cf69b21e44ee05ae2f7561b766a72d2dbb7f57849a31c22454e211befa74e058f78814b79e7876b3d14c7252ab5800 SHA512 9695e2fb08785e4b60342226ef3a0af22da4d80f127e7db9ec80ce844f70d0d781b30af207d58d8eb691b85a5fe4691cb9ecf887ca86f5e059a05259ae041316
DIST libmicrohttpd-0.9.73.tar.gz 1738675 BLAKE2B 63845b1b7fa0aa8ce29e9917521e10bd59fa0d27658e87ef3273d5014adf5cd9514a2d84465a573df03b44dcd50da7d157ef9c4952107ebba49efdfb398476c2 SHA512 473996b087ac6734ab577a1c7681c6c0b0136e04e34e13c3b50fd758358c1516017ad79097e0c57792786f6dd0208834374c09238113efed13bb4be11ef649d3
+DIST libmicrohttpd-0.9.74.tar.gz 1962057 BLAKE2B 6751696740e2893b6ad1ecf5f6e6716dc4b053f788ca1c9c76a25051437942cd975dc0ee428a65af58da04f4cca41c4ed79cdd335b3f90d1dd52651185ee42dc SHA512 86e8b88e064f17557455617975888993a285f4de6d4051cb837ef3e7328d3718001ef280473d306724dd85a01e1787fca099d4bd18e5d78b766e41a3a9f126ef
diff --git a/net-libs/libmicrohttpd/libmicrohttpd-0.9.74.ebuild b/net-libs/libmicrohttpd/libmicrohttpd-0.9.74.ebuild
new file mode 100644
index 000000000000..0103838713fd
--- /dev/null
+++ b/net-libs/libmicrohttpd/libmicrohttpd-0.9.74.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit multilib-minimal
+
+MY_P="${P/_/}"
+
+DESCRIPTION="Small C library to run an HTTP server as part of another application"
+HOMEPAGE="https://www.gnu.org/software/libmicrohttpd/"
+SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="LGPL-2.1+"
+SLOT="0/12"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+epoll ssl static-libs test +thread-names"
+RESTRICT="!test? ( test )"
+
+RDEPEND="ssl? ( >net-libs/gnutls-2.12.20:= )"
+# libcurl and the curl binary are used during tests on CHOST
+DEPEND="${RDEPEND}
+ test? ( net-misc/curl[ssl?] )"
+BDEPEND="ssl? ( virtual/pkgconfig )"
+
+DOCS=( AUTHORS NEWS COPYING README ChangeLog )
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" \
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ --disable-nls \
+ --enable-bauth \
+ --enable-dauth \
+ --disable-examples \
+ --enable-messages \
+ --enable-postprocessor \
+ --enable-httpupgrade \
+ --disable-experimental \
+ --disable-heavy-tests \
+ $(use_enable thread-names) \
+ $(use_enable epoll) \
+ $(use_enable test curl) \
+ $(use_enable ssl https) \
+ $(use_with ssl gnutls)
+}
+
+multilib_src_install_all() {
+ default
+
+ if ! use static-libs; then
+ find "${ED}" -name '*.la' -delete || die
+ fi
+}
next reply other threads:[~2021-12-21 1:56 UTC|newest]
Thread overview: 192+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-12-21 1:56 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-12 22:52 [gentoo-commits] repo/gentoo:master commit in: net-libs/libmicrohttpd/ Sam James
2024-08-04 8:28 Sam James
2024-08-04 8:28 Sam James
2024-08-04 7:27 Sam James
2024-08-04 5:28 Joonas Niilola
2024-08-04 5:28 Joonas Niilola
2024-05-22 19:24 Sam James
2024-05-22 17:11 Sam James
2024-05-22 17:04 Sam James
2024-05-22 17:03 Sam James
2024-04-29 8:41 Joonas Niilola
2023-11-25 6:53 Sam James
2023-11-25 5:16 Sam James
2023-08-28 18:50 Mike Gilbert
2023-08-25 17:00 Arthur Zamarin
2023-08-17 8:39 Sam James
2023-08-17 8:39 Sam James
2023-08-17 8:38 Arthur Zamarin
2023-08-17 8:38 Arthur Zamarin
2023-08-17 8:38 Arthur Zamarin
2023-08-17 7:43 Sam James
2023-06-25 19:17 Sam James
2023-05-31 7:51 Joonas Niilola
2023-05-29 20:18 Sam James
2023-05-29 18:50 Arthur Zamarin
2023-05-29 17:50 Arthur Zamarin
2023-05-29 17:39 Sam James
2023-05-29 17:07 Sam James
2023-05-29 17:07 Sam James
2023-05-29 15:08 Sam James
2023-05-13 3:34 Sam James
2023-05-10 19:42 Sam James
2023-04-10 7:37 Joonas Niilola
2023-04-10 7:37 Joonas Niilola
2023-01-29 5:26 Sam James
2023-01-29 5:26 Sam James
2023-01-28 20:24 Michał Górny
2022-10-20 23:38 Sam James
2022-06-29 7:52 Agostino Sarubbo
2022-06-28 19:09 Arthur Zamarin
2022-06-28 6:43 Agostino Sarubbo
2022-06-28 6:43 Agostino Sarubbo
2022-06-27 19:24 Arthur Zamarin
2022-06-27 17:43 Jakov Smolić
2022-06-27 17:43 Jakov Smolić
2022-05-29 20:17 Andreas K. Hüttel
2022-05-20 22:04 Andreas K. Hüttel
2022-05-08 3:10 WANG Xuerui
2022-01-06 17:20 Anthony G. Basile
2021-12-28 14:44 Anthony G. Basile
2021-09-03 6:40 Agostino Sarubbo
2021-09-01 18:32 Sam James
2021-09-01 8:19 Agostino Sarubbo
2021-09-01 7:54 Agostino Sarubbo
2021-08-30 17:38 Sam James
2021-08-30 7:26 Agostino Sarubbo
2021-05-17 23:30 Sam James
2021-05-10 9:57 Sam James
2021-05-10 9:34 Sam James
2021-05-10 9:34 Sam James
2021-04-06 12:43 Andreas Sturmlechner
2021-04-06 11:10 Anthony G. Basile
2021-04-02 14:14 Sam James
2021-04-02 14:14 Sam James
2021-04-02 14:10 Sam James
2021-04-02 14:08 Sam James
2021-04-02 14:07 Sam James
2021-04-02 10:35 Agostino Sarubbo
2021-04-01 21:36 Thomas Deutschmann
2021-01-22 3:16 Sam James
2021-01-21 23:23 Sam James
2021-01-07 19:39 Sam James
2021-01-03 16:50 Anthony G. Basile
2020-07-05 9:27 Sergei Trofimovich
2020-07-02 17:05 Sergei Trofimovich
2020-06-30 18:36 Matt Turner
2020-06-30 17:46 Anthony G. Basile
2020-06-30 17:46 Anthony G. Basile
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:50 Agostino Sarubbo
2020-06-09 13:49 Agostino Sarubbo
2020-06-09 13:47 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-09 4:23 Mart Raudsepp
2020-04-11 21:36 Thomas Deutschmann
2020-03-05 12:52 Anthony G. Basile
2019-12-28 15:49 Mikle Kolyada
2019-12-24 14:46 Mikle Kolyada
2019-12-24 8:09 Agostino Sarubbo
2019-12-20 12:51 Agostino Sarubbo
2019-12-20 12:30 Agostino Sarubbo
2019-12-20 12:13 Agostino Sarubbo
2019-12-19 2:22 Aaron Bauman
2019-12-18 14:57 Agostino Sarubbo
2019-12-17 17:48 Anthony G. Basile
2019-12-17 17:42 Anthony G. Basile
2019-10-28 17:35 Anthony G. Basile
2019-10-26 19:44 Anthony G. Basile
2019-09-13 23:51 Matt Turner
2019-09-01 18:27 Mikle Kolyada
2019-08-06 15:24 Agostino Sarubbo
2019-08-06 11:44 Agostino Sarubbo
2019-08-06 10:03 Agostino Sarubbo
2019-08-06 9:39 Agostino Sarubbo
2019-08-06 8:01 Agostino Sarubbo
2019-08-06 7:51 Agostino Sarubbo
2019-08-05 0:29 Aaron Bauman
2019-08-03 23:23 Anthony G. Basile
2019-08-03 23:21 Anthony G. Basile
2019-07-28 14:06 Mikle Kolyada
2019-07-22 21:17 Aaron Bauman
2019-07-12 16:43 Anthony G. Basile
2019-07-07 20:25 Anthony G. Basile
2019-06-14 15:01 Agostino Sarubbo
2019-06-14 9:26 Agostino Sarubbo
2019-06-14 9:18 Agostino Sarubbo
2019-06-14 9:00 Agostino Sarubbo
2019-06-13 15:15 Agostino Sarubbo
2019-06-13 14:49 Agostino Sarubbo
2019-06-11 16:39 Anthony G. Basile
2019-06-11 16:39 Anthony G. Basile
2019-03-02 20:57 Matt Turner
2019-02-22 12:05 Mikle Kolyada
2019-02-17 17:14 Sergei Trofimovich
2019-02-17 17:08 Sergei Trofimovich
2019-02-17 16:57 Sergei Trofimovich
2019-02-15 19:00 Mikle Kolyada
2019-02-15 15:46 Thomas Deutschmann
2019-02-14 9:37 Mart Raudsepp
2019-02-12 0:30 Anthony G. Basile
2019-01-16 11:28 Anthony G. Basile
2019-01-16 6:05 Mart Raudsepp
2018-12-09 13:09 Anthony G. Basile
2018-11-30 14:20 Anthony G. Basile
2018-11-28 21:22 Tobias Klausmann
2018-11-26 19:38 Mikle Kolyada
2018-11-18 16:01 Sergei Trofimovich
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:38 Sergei Trofimovich
2018-11-17 14:41 Mikle Kolyada
2018-11-15 15:48 Thomas Deutschmann
2018-11-12 19:25 Anthony G. Basile
2018-02-02 9:27 Anthony G. Basile
2018-01-22 18:24 Markus Meier
2017-12-16 17:24 Tobias Klausmann
2017-12-14 19:30 Sergei Trofimovich
2017-12-12 9:21 Anthony G. Basile
2017-12-12 9:17 Anthony G. Basile
2017-11-30 20:19 Tobias Klausmann
2017-11-28 15:06 Anthony G. Basile
2017-11-27 7:27 Sergei Trofimovich
2017-11-27 0:20 Thomas Deutschmann
2017-11-26 19:15 Sergei Trofimovich
2017-11-25 21:05 Anthony G. Basile
2017-06-26 10:03 Alexis Ballier
2017-05-29 20:04 Anthony G. Basile
2017-05-06 7:25 Markus Meier
2017-05-03 21:49 Anthony G. Basile
2017-05-03 21:49 Anthony G. Basile
2017-04-30 9:37 Agostino Sarubbo
2017-04-25 7:21 Jeroen Roovers
2017-04-22 7:33 Tobias Klausmann
2017-01-10 6:55 Jeroen Roovers
2016-12-21 9:51 Tobias Klausmann
2016-11-16 21:08 Markus Meier
2016-10-22 8:08 Tobias Klausmann
2016-10-17 21:45 Anthony G. Basile
2016-10-17 21:43 Anthony G. Basile
2016-08-28 0:34 Anthony G. Basile
2016-08-04 8:32 Jeroen Roovers
2016-07-14 7:27 Jeroen Roovers
2016-06-11 16:44 Agostino Sarubbo
2016-06-11 13:22 Markus Meier
2016-06-06 11:21 Tobias Klausmann
2016-06-02 22:30 Anthony G. Basile
2016-04-10 9:28 Anthony G. Basile
2016-02-12 1:12 Anthony G. Basile
2016-02-12 1:08 Anthony G. Basile
2016-01-23 7:25 Jeroen Roovers
2016-01-09 16:03 Markus Meier
2015-12-21 12:40 Agostino Sarubbo
2015-12-19 20:10 Anthony G. Basile
2015-12-06 5:45 Anthony G. Basile
2015-12-04 23:38 Anthony G. Basile
2015-12-03 23:38 Anthony G. Basile
2015-10-31 19:15 Mike Gilbert
2015-10-31 18:42 Anthony G. Basile
2015-10-31 18:42 Anthony G. Basile
2015-10-09 0:15 Anthony G. Basile
2015-10-02 7:13 Anthony G. Basile
2015-09-14 17:20 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1640050776.155c4d7720416a21ff0c67a2013f4ee4907c40ab.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox